Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters
[Java] Class AbstractConverter

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.AbstractConverter

All Implemented Interfaces:
  Converter

    public abstract class AbstractConverter

Abstract base implementation of the Converter interface that provides a default toString() implementation.

Authors:
  Siegfried Puchbauer

Method Summary
`protected BeanWrapper` | `createBeanWrapper(java.lang.Object o)`
`void` | `setTarget(java.lang.Object target)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createBeanWrapper

    protected BeanWrapper createBeanWrapper(java.lang.Object o)

### setTarget

    public void setTarget(java.lang.Object target)

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation